<p-toolbar>
    <label class="ui-toolbar-group-left">
      {{title}}
    </label>
    
    <div class="ui-toolbar-group-right">
      <button pButton type="button" class="ui-button-secondary" label="List View" routerLink="/mytodo" routerLinkActive="active menu"></button>
      <button pButton type="button" class="ui-button-secondary" label="Compliance View" routerLink="/compliance" routerLinkActive="active menu"></button>
      <button pButton type="button" class="ui-button-secondary" label="Create new Todo" routerLink="/newtodo" routerLinkActive="active menu"></button>
    </div>
  </p-toolbar>
  <div class="ui-g">
    <!-- <div class="ui-g-1"></div> -->
    <!-- FullCalendar -->
    <div class="ui-g-10 ui-g-nopad">
      <p-schedule [events]="events" [header]="header" [eventLimit]="4" [editable]="true"
                  [weekNumbers]="true" [aspectRatio]="2" [contentHeight]="500"
                  (onDayClick)="handleDayClick($event)" (onEventClick)="handleEventClick($event)"
                  (onViewRender)="fetchEvents($event)"
                  [defaultView]="selectedView"
                  [defaultDate]="selectedDate"
                  [businessHours]="businessHours"
                  timezone="local"
                  [(options)] = "options"
                  id="calendar"></p-schedule>
      <p-dialog header="Event Details" [(visible)]="dialogVisible" [responsive]="true" showEffect="fade" [modal]="true" [contentStyle]="{'overflow':'visible'}"
                [style]="{'overflow':'visible'}" [resizable]="false" [dismissableMask]="true" [showHeader]="false" [positionLeft]="150">
        <div class="ui-grid ui-grid-responsive ui-fluid" *ngIf="event">
          <p-inplace>
            <span pInplaceDisplay>
                {{event.title}}
            </span>
            <span pInplaceContent>
                <input pInputText id="title" [(ngModel)]="event.title" />
            </span>
          </p-inplace>
          <div>From <span>{{event.start}}</span></div>
          <div>TO <span>{{event.end}}</span></div>
          <!--<div class="ui-grid-row">-->
            <!--<div class="ui-grid-col-4"><label for="start">Start</label></div>-->
            <!--<div class="ui-grid-col-8"><p-calendar [(ngModel)]="event.start"-->
                                                    <!--dateFormat="yy-mm-dd"-->
                                                    <!--dataType="string"-->
                                                    <!--[disabledDays]="[0,6]"-->
                                                    <!--[showTime]="true"-->
                                                    <!--&gt;</p-calendar></div>-->
          <!--</div>-->
          <!--<div class="ui-grid-row">-->
            <!--<div class="ui-grid-col-4"><label for="end">End</label></div>-->
            <!--<div class="ui-grid-col-8"><p-calendar [(ngModel)]="event.end"-->
                                                    <!--(onSelect)="onSelectEnd(event.end)"-->
                                                    <!--dateFormat="yy-mm-dd"-->
                                                    <!--dataType="string"-->
                                                    <!--[disabledDays]="[0,6]"-->
                                                    <!--[showTime]="true"></p-calendar></div>-->
          <!--</div>-->
          <!--<div class="ui-grid-row">-->
            <!--<div class="ui-grid-col-4"><label for="allday">All Day</label></div>-->
            <!--<div class="ui-grid-col-8"><p-checkbox [(ngModel)]="event.allDay" binary="checkbox"></p-checkbox></div>-->
          <!--</div>-->
        </div>
        <p-footer>
          <div class="ui-dialog-buttonpane ui-helper-clearfix">
            <button type="button" pButton icon="fa-close" (click)="deleteEvent()" label="Delete" [disabled]="!event?.id"></button>
            <!--<button type="button" pButton icon="fa-check" (click)="saveEvent()" label="Save" [disabled]="!event?.start"></button>-->
            <button type="button" pButton icon="fa-edit" (click)="editEvent(event)" label="Edit" [disabled]="!event?.id"></button>
          </div>
        </p-footer>
      </p-dialog>
      <p-dialog header="Event Details" [(visible)]="dialogNewVisible" [responsive]="true" showEffect="fade" [modal]="true" [contentStyle]="{'overflow':'visible'}"
                [style]="{'overflow':'visible'}" [resizable]="false" [dismissableMask]="true" [showHeader]="false" [positionLeft]="150">
        <div class="ui-grid ui-grid-responsive ui-fluid" *ngIf="event">
          <div class="ui-grid-row">
            <div class="ui-grid-col-4"><label for="vin">Title</label></div>
            <div class="ui-grid-col-8"><input pInputText id="" [(ngModel)]="event.title" /></div>
          </div>
          <div class="ui-grid-row">
          <div class="ui-grid-col-4"><label for="start">Start</label></div>
          <div class="ui-grid-col-8">
            <p-calendar [(ngModel)]="event.start"
              dateFormat="yy-mm-dd"
              dataType="string"
              [disabledDays]="[0,6]"
              [showTime]="true">
            </p-calendar></div>
          </div>
          <div class="ui-grid-row">
          <div class="ui-grid-col-4"><label for="end">End</label></div>
          <div class="ui-grid-col-8">
            <p-calendar [(ngModel)]="event.end"
              (onSelect)="onSelectEnd(event.end)"
              dateFormat="yy-mm-dd"
              dataType="string"
              [disabledDays]="[0,6]"
              [showTime]="true">
            </p-calendar>
          </div>
          </div>
          <div class="ui-grid-row">
            <div class="ui-grid-col-4"><label for="allday">All Day</label></div>
            <div class="ui-grid-col-8"><p-checkbox [(ngModel)]="event.allDay" binary="checkbox"></p-checkbox></div>
          </div>
        </div>
        <p-footer>
          <div class="ui-dialog-buttonpane ui-helper-clearfix">
            <button type="button" pButton icon="fa-check" (click)="saveEvent()" label="Save" [disabled]="!event?.start"></button>
          </div>
        </p-footer>
      </p-dialog>
    </div>
    <!-- Filter -->
    <div class="ui-g-2">
      <div class="ui-g-12"><br /><br /></div>
      <!-- Select date in calendar -->
      <p-calendar [(ngModel)]="selectedDate" [inline]="true"></p-calendar>
      <!-- <p-tree [value]="calendarTicketsTree" selectionMode="checkbox" [(selection)]="selectedCalendarTicketsTree">
      </p-tree> -->
      <!-- <p-tree [value]="calendarTicketsTree" selectionMode="checkbox" [(selection)]="selectedCalendarTicketsTree">
      </p-tree> -->
      <!-- <div>Selected Calendar Tickets: <span *ngFor="let ticket of selectedCalendarTicketsTree">{{ticket.label}}</span></div> -->
  
      <p-accordion>
        <p-accordionTab header="My Calendars">
            <p-checkbox [(ngModel)]="myTimeSheetChecked" label="My TimeSheet" binary="true"></p-checkbox>
            <h3>Checked - {{myTimeSheetChecked}}</h3>
          <!-- <p-checkbox name="groupname" value="mytimesheet" [(ngModel)]="selectedTimeSheet"></p-checkbox> -->
          <!-- <p-tree [value]="calendarTicketsTree" selectionMode="checkbox" [(selection)]="selectedCalendarTicketsTree">
          </p-tree> -->
          <!-- <p-listbox [options]="calendarTickets" [(ngModel)]="selectedCalendarTickets" multiple="multiple" checkbox="checkbox" filter="filter" optionLabel="name"></p-listbox> -->
          <p-accordion>
            <p-accordionTab header="My To-Do's">
              <p-listbox [options]="calendarStatus" [(ngModel)]="selectedTDTickets" multiple="multiple" checkbox="checkbox" optionLabel="name">
              </p-listbox>
            </p-accordionTab>
            <p-accordionTab header="My Service Calls">
              <p-listbox [options]="calendarStatus" [(ngModel)]="selectedSCTickets" multiple="multiple" checkbox="checkbox" optionLabel="name">
              </p-listbox>
            </p-accordionTab>
          </p-accordion>
        </p-accordionTab>
        <p-accordionTab header="Plant Calendars">
          <span class="ui-fluid">
            <label>Plants</label>
            <p-autoComplete [(ngModel)]="plantsList" [suggestions]="filteredPlantsMultiple" (completeMethod)="filterPlantMultiple($event)" styleClass="wid100"
              [minLength]="1" placeholder="Plants" field="name" [multiple]="true">
            </p-autoComplete>
          </span>
          <p-accordion>
            <p-accordionTab header="To-Do's">
              <span class="ui-fluid">
                <label>Categories</label>
                <p-autoComplete [(ngModel)]="categoriesToDosList" [suggestions]="filteredCategoriesMultiple" (completeMethod)="filterCategoryMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="Categories" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
              <p-listbox [options]="plantStatus" [(ngModel)]="selectedToDosStatus" multiple="multiple" checkbox="checkbox" optionLabel="name">
              </p-listbox>
              <span class="ui-fluid">
                <label>People</label>
                <p-autoComplete [(ngModel)]="peopleToDosList" [suggestions]="filteredPeopleMultiple" (completeMethod)="filterPeopleMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="People" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
            </p-accordionTab>
            <p-accordionTab header="Tickets">
              <span class="ui-fluid">
                <label>Categories</label>
                <p-autoComplete [(ngModel)]="categoriesTicketsList" [suggestions]="filteredCategoriesMultiple" (completeMethod)="filterCategoryMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="Categories" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
              <p-listbox [options]="plantStatus" [(ngModel)]="selectedTicketsStatus" multiple="multiple" checkbox="checkbox" optionLabel="name">
              </p-listbox>
              <span class="ui-fluid">
                <label>People</label>
                <p-autoComplete [(ngModel)]="peopleTicketsList" [suggestions]="filteredPeopleMultiple" (completeMethod)="filterPeopleMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="People" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
            </p-accordionTab>
            <p-accordionTab header="Service Calls">
              <span class="ui-fluid">
                <label>Categories</label>
                <p-autoComplete [(ngModel)]="categoriesSCsList" [suggestions]="filteredCategoriesMultiple" (completeMethod)="filterCategoryMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="Categories" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
              <p-listbox [options]="plantStatus" [(ngModel)]="selectedSCsStatus" multiple="multiple" checkbox="checkbox" optionLabel="name">
              </p-listbox>
              <span class="ui-fluid">
                <label>People</label>
                <p-autoComplete [(ngModel)]="peopleSCsList" [suggestions]="filteredPeopleMultiple" (completeMethod)="filterPeopleMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="People" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
            </p-accordionTab>
            <p-accordionTab header="Outages">
              <span class="ui-fluid">
                <label>Categories</label>
                <p-autoComplete [(ngModel)]="categoriesOutagesList" [suggestions]="filteredCategoriesMultiple" (completeMethod)="filterCategoryMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="Categories" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
              <p-listbox [options]="plantStatus" [(ngModel)]="selectedOutagesStatus" multiple="multiple" checkbox="checkbox" optionLabel="name">
              </p-listbox>
              <span class="ui-fluid">
                <label>People</label>
                <p-autoComplete [(ngModel)]="peopleOutagesList" [suggestions]="filteredPeopleMultiple" (completeMethod)="filterPeopleMultiple($event)" styleClass="wid100"
                  [minLength]="1" placeholder="People" field="name" [multiple]="true">
                </p-autoComplete>
              </span>
            </p-accordionTab>
          </p-accordion>
        </p-accordionTab>
      </p-accordion>
    </div>
  </div>